Transfer To Pocket

Below you find the necessary fields to pass in API POST request to perform Pocket funds transfer.

FieldsRequiredDescription
tagTruePocket tag to be credited.
amountTrueAmount to be sent in Kobo.
narrationFalseTransaction narration.
metaFalseObject containing any extra information you want recorded with the transaction.
referenceTrueYour reference.
subaccount_idFalseIf subaccount_id is not passed we make use of default subaccount.
curl --location --request POST 'https://rllwjl4z6b.execute-api.eu-central-1.amazonaws.com/api/v1/transfer/abeg' \
--header 'Authorization: Bearer {{api_token}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "tag": "adxvi",
    "amount": 1000,
    "reference": "b100082a-XXXXX-XXXXX-XXXX-XXXXXXXXXXX",
    "subaccount_id": "01dbfa28-494c-4406-bf4c-bf63174508a2",
    "meta":  {
        "random_key": "random_value",
        "random_key2": "random_value2",
        ...
    },
    "narration": "Reversal Test"
}'

Sample API Response

200 - Successful Response

The response for a transfer comes with a reference field that can be used to later get the status of the initiated transfer.

{
  "status": true,
   "message": 'Transfer processing',
   "data": {
      "reference": "ptrn-XXX-XXXXX-XXXXXXX",
  }
}